Bug 1583091 - SELinux is preventing /usr/libexec/postfix/pickup from map access on the file /usr/libexec/postfix/pickup
Summary: SELinux is preventing /usr/libexec/postfix/pickup from map access on the file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.6
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-28 08:21 UTC by Lukas Slebodnik
Modified: 2018-10-30 10:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:04:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:05:17 UTC

Description Lukas Slebodnik 2018-05-28 08:21:03 UTC
SELinux is preventing /usr/libexec/postfix/pickup from map access on the file /usr/libexec/postfix/pickup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pickup should be allowed map access on the pickup file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pickup' --raw | audit2allow -M my-pickup
# semodule -i my-pickup.pp


Additional Information:
Source Context                system_u:system_r:postfix_master_t:s0
Target Context                system_u:object_r:postfix_pickup_exec_t:s0
Target Objects                /usr/libexec/postfix/pickup [ file ]
Source                        pickup
Source Path                   /usr/libexec/postfix/pickup
Port                          <Unknown>
Host                          bkr-hv01-guest24.example.com
Source RPM Packages           postfix-2.10.1-7.el7.x86_64
Target RPM Packages           postfix-2.10.1-7.el7.x86_64
Policy RPM                    selinux-policy-3.13.1-197.el7.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     bkr-hv01-guest24.example.com
Platform                      Linux bkr-hv01-guest24.example.com
                              3.10.0-893.el7.x86_64 #1 SMP Thu May 24 21:37:14
                              UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-05-26 13:12:33 EDT
Last Seen                     2018-05-26 13:12:33 EDT
Local ID                      c38d1d84-33d5-4c91-8b71-bb0ffd85b717

Raw Audit Messages
type=AVC msg=audit(1527354753.983:48): avc:  denied  { map } for  pid=1457 comm="pickup" path="/usr/libexec/postfix/pickup" dev="dm-0" ino=67618077 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:postfix_pickup_exec_t:s0 tclass=file permissive=1


type=SYSCALL msg=audit(1527354753.983:48): arch=x86_64 syscall=execve success=yes exit=0 a0=5577b14ef030 a1=5577b14f7e50 a2=5577b14f4180 a3=ffffffff items=0 ppid=1456 pid=1457 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=pickup exe=/usr/libexec/postfix/pickup subj=system_u:system_r:postfix_pickup_t:s0 key=(null)

Hash: pickup,postfix_master_t,postfix_pickup_exec_t,file,map

Comment 2 Milos Malik 2018-06-08 10:22:35 UTC
----
type=PROCTITLE msg=audit(06/08/2018 02:42:22.629:87) : proctitle=(null) 
type=PATH msg=audit(06/08/2018 02:42:22.629:87) : item=1 name=/lib64/ld-linux-x86-64.so.2 inode=418713 dev=fd:00 mode=file,755 ouid=root ogid=root rdev=00:00 obj=system_u:object_r:ld_so_t:s0 objtype=NORMAL cap_fp=none cap_fi=none cap_fe=0 cap_fver=0 
type=PATH msg=audit(06/08/2018 02:42:22.629:87) : item=0 name=/usr/libexec/postfix/pickup inode=587038 dev=fd:00 mode=file,755 ouid=root ogid=root rdev=00:00 obj=system_u:object_r:postfix_pickup_exec_t:s0 objtype=NORMAL cap_fp=none cap_fi=none cap_fe=0 cap_fver=0 
type=CWD msg=audit(06/08/2018 02:42:22.629:87) :  cwd=/var/spool/postfix 
type=SYSCALL msg=audit(06/08/2018 02:42:22.629:87) : arch=x86_64 syscall=execve success=no exit=EACCES(Permission denied) a0=0x5610fdc77d40 a1=0x5610fdc781c0 a2=0x5610fdc73f50 a3=0xffffffff items=2 ppid=1321 pid=1323 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=pickup exe=/usr/libexec/postfix/pickup subj=system_u:system_r:postfix_master_t:s0 key=(null) 
type=AVC msg=audit(06/08/2018 02:42:22.629:87) : avc:  denied  { map } for  pid=1323 comm=pickup path=/usr/libexec/postfix/pickup dev="dm-0" ino=587038 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:postfix_pickup_exec_t:s0 tclass=file permissive=0 
----

Comment 6 errata-xmlrpc 2018-10-30 10:04:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.